%define version 0.8.6
%define	rel	2
%define release %mkrel %{rel}

Summary: Yet Another Graphic Front-end for Cuneiform
Name: 		yagf
Version:	%{version}
Release:	%{release}
License: 	GPL3+
Group: 		Office
URL: 		http://symmetrica.net/cuneiform-linux/yagf-en.html

Source: 	http://symmetrica.net/cuneiform-linux/yagf-%{version}-Source.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	cmake, qt4-common, qt4-devel, aspell-devel djvulibre-devel tiff-devel
Requires: 	qt4-common, aspell, cuneiform-linux, aspell-ru, aspell-uk aspell-en
Provides: cuneiform-qt
Obsoletes: cuneiform-qt

%description
YAGF is a graphical front-end for cuneiform OCR tool.
With YAGF you can open already scanned image files or obtain new images via XSane (scanning results are automatically passed to YAGF).
Once you have a scanned image you can prepare it for recognition, select particular image areas for recognition, set the recognition language and so no.
Recognized text is displayed in a editor window where it can be corrected, saved to disk or copied to clipboard.  
YAGF also provides some facilities for a multi-page recognition (see the online help for more details).

%prep
%setup -q -n %name-%version-Source

%build
cmake ./ -DCMAKE_INSTALL_PREFIX=/usr/
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%{_bindir}/yagf
%{_datadir}/yagf/*
%{_datadir}/yagf/translations/*
%{_datadir}/pixmaps/yagf.png
%{_datadir}/icons/hicolor/96x96/apps/yagf.png
%{_libdir}/yagf/libxspreload.so
%{_datadir}/applications/YAGF.desktop


%changelog
* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.8.6-2mdv2011.0
+ Revision: 640474
- rebuild to obsolete old packages

* Tue Feb 22 2011 Александр Казанцев <kazancas@mandriva.org> 0.8.6-1
+ Revision: 639298
- new version 0.8.6

* Fri Jan 28 2011 Александр Казанцев <kazancas@mandriva.org> 0.8.5-1
+ Revision: 633710
- new version 0.8.5

* Wed Jan 05 2011 Александр Казанцев <kazancas@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 628930
- new version 0.8.3

* Fri Dec 31 2010 Александр Казанцев <kazancas@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 626911
- initial release
- import yagf


* Thu Apr 15 2010 Dmitry Nikitin <luckas_fb@mail.ru> - 0.8.2
- New version 0.8.2
- add support djvulibre by kinder
- add support for recognition format hocr and smarttext
- add Ukrainian translation for yagf
- update Russian translation
- some fix end of line

* Sun Aug 16 2009 Andrei Borovsky <anb@symmetrica.net> - 0.8.1
- batch recognition added
* Wed Aug 5 2009  Andrei Borovsky <anb@symmetrica.net> - 0.8.0
- text selection blocks are now resizable
- images management bar is added
* Wed Aug 5 2009  Andrei Borovsky <anb@symmetrica.net> - 0.8.0
- text selection blocks are now resizable
- images management bar is added
* Sat Jul 25 2009 Andrei Borovsky <anb@symmetrica.net> - 0.7.1
- scaling and rotation is kept between images in the series
- images and text may be scaled by Ctrl + mouse wheel or by Ctrl + [+]/[-] keys.
* Sun Jul 19 2009 Andrei Borovsky <anb@symmetrica.net> - 0.7.0
- spell-checking is added
- saving to html with images is added
* Fri Jul 17 2009 Andrei Borovsky <anb@symmetrica.net> - 0.6.2
- merged the patches with the appropriate files
- removed unnessesary ldconfig call
* Wed Jul 15 2009 Kyrill Detinov <lazy.kent.suse@gmail.com> - 0.6.1
- update to 0.6.1
- fixed build in x86-64
- corrected build requires
* Sat Jun 20 2009 Kyrill Detinov <lazy.kent.suse@gmail.com> - 0.5.0
- change compiling outside of the source tree
* Mon Jun 15 2009 Kyrill Detinov <lazy.kent.suse@gmail.com> - 0.5.0
- fix requires Qt version
* Mon Jun 08 2009 Kyrill Detinov <lazy.kent.suse@gmail.com> - 0.5.0
- correct build requires:  libqt4-devel <= 4.4.3, cmake >= 2.6
* Fri Jun 05 2009 Kyrill Detinov <lazy.kent.suse@gmail.com> - 0.5.0
- initial package created
